Subject: Re: bug#27391: 25.2.50; utf-8 coding cookie is not applied on some specific markdown file

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Jun 2017 15:59:23 +0300

> From: [email-masked] (Vincent Belaïche)
> Date: Fri, 16 Jun 2017 12:00:06 +0200
> Cc: Vincent Belaïche <[email-masked]>
> 
> I was editing some file written in Markdown. Here is the file :
> 
> https://framagit.org/latex-pourquoi-comment/lpc-articles/blob/795ecb9d4f7b8870486fe6557f01d2fe450c4461/CONTRIBUTING.md
> 
> My Emacs default configuration was to get files in latin-1. So I had
> added some `coding: utf-8' cookie in this file. But it did not work, the
> file was still read in latin-1 instead of utf8.

I cannot reproduce this, and I don't see any coding cookies in the
file I downloaded.

Please provide a minimal recipe that's required to reproduce the
problem.  In particular, since you tried in "emacs -q", I don't
understand what does it mean that your default configuration is
latin-1: in "emacs -q" your default configuration is determined by
your system locale.

Thanks.